gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin Abstract base class for , and . The widget is an abstract base class for , and .
- Constructor
  2.12.0.0
  Constructor
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Void Emits the event on the given item. Emits the event on the given item.
- Event
  2.12.0.0
  GLib.Signal("deselect")
  System.EventHandler Emitted when the is deselected. Emitted when the is deselected.
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` a , a factory path to prepend to . May be if starts with a factory path. a , a path Deletes all widgets constructed from the specified path.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDeselected", Type=typeof(Gtk.Item))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelected", Type=typeof(Gtk.Item))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggled", Type=typeof(Gtk.Item))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void Emits the event on the given item. Emits the event on the given item.
- Event
  2.12.0.0
  GLib.Signal("select")
  System.EventHandler Emitted when the is selected. Emitted when the is selected.
- Method
  2.12.0.0
  System.Void Emits the event on the given item. Emits the event on the given item.
- Event
  2.12.0.0
  GLib.Signal("toggle")
  System.EventHandler Emitted when the is toggled. Emitted when the is toggled.